Package de.willuhn.jameica.hbci.synchronize.hbci

# Interface HBCISynchronizeJobProvider

All Superinterfaces:
  `Comparable`, `SynchronizeJobProvider`

All Known Implementing Classes:
  `AbstractHBCISynchronizeJobProvider`, `HBCISynchronizeJobProviderAuslandsUeberweisung`, `HBCISynchronizeJobProviderKontoauszug`, `HBCISynchronizeJobProviderKontoauszugPdf`, `HBCISynchronizeJobProviderQuittung`, `HBCISynchronizeJobProviderSepaDauerauftrag`, `HBCISynchronizeJobProviderSepaLastschrift`

public interface HBCISynchronizeJobProvider extends SynchronizeJobProvider
Marker-Interface, um die eigenen Job-Provider zu finden. Erweitert Comparable, um die Jobs sortieren zu koennen.

## Method Summary

Modifier and Type
Method
Description
`List<String>`
`getPropertyNames(Konto k)`
Liefert eine optionale Liste mit Property-Namen, die in Hibiscus in den Sync-Einstellungen als Eingabefelder fuer zusaetzliche Konfigurationsoptionen angezeigt werden sollen.

### Methods inherited from interface java.lang.Comparable

`compareTo`

### Methods inherited from interface de.willuhn.jameica.hbci.synchronize.SynchronizeJobProvider

`getJobTypes, getSynchronizeJobs, supports`

## Method Details

### getPropertyNames

List<String> getPropertyNames(Konto k)
Liefert eine optionale Liste mit Property-Namen, die in Hibiscus in den Sync-Einstellungen als Eingabefelder fuer zusaetzliche Konfigurationsoptionen angezeigt werden sollen. Wird z.Bsp. vom ScriptingBackend verwendet, um dort die Zugangsdaten zur Webseite hinterlegen zu koennen, ohne dafuer Kontonummer, Benutzerkennung, usw. des Kontos "missbrauchen" zu muessen.

Parameters:
  `k` - das Konto.
Returns:
  Liste von lesbaren Property-Namen. Die werden dem Benutzer 1:1 als Label von Eingabefeldern angezeigt.